﻿using Infragistics.Windows;
using Infragistics.Windows.Ribbon;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;

namespace MenuToolBinding
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		//public static readonly DependencyProperty MycontentProperty = DependencyProperty.Register(
		//  "MyContent", typeof(FrameworkElement), typeof(MainWindow), new PropertyMetadata(default(FrameworkElement)));

		//public FrameworkElement MyContent
		//{
		//    get { return (FrameworkElement)GetValue(MycontentProperty); }
		//    set { SetValue(MycontentProperty, value); }
		//}


		protected override void OnMouseLeftButtonDown(MouseButtonEventArgs e)
		{
			var el1 = Utilities.GetDescendantFromName(this, "el1");
			var el2 = Utilities.GetDescendantFromName(this, "el2");

			base.OnMouseLeftButtonDown(e);
		}
	}

	public class MenuContent
   {

       //TODO ON RIBBON instead
       public static FrameworkElement GetMyContent(DependencyObject obj)
       {
           return (FrameworkElement)obj.GetValue(MyContentProperty);
       }

       public static void SetMyContent(DependencyObject obj, FrameworkElement value)
       {
           obj.SetValue(MyContentProperty, value);
       }

       // Using a DependencyProperty as the backing store for MyContent.  This enables animation, styling, binding, etc...
       public static readonly DependencyProperty MyContentProperty =
           DependencyProperty.RegisterAttached("MyContent", typeof(FrameworkElement), typeof(MenuContent), new PropertyMetadata(null));

		public static DataTemplate GetMyContentTemplate(DependencyObject obj)
		{
			return (DataTemplate)obj.GetValue(MyContentTemplateProperty);
		}

		public static void SetMyContentTemplate(DependencyObject obj, DataTemplate value)
		{
			obj.SetValue(MyContentTemplateProperty, value);
		}

		// Using a DependencyProperty as the backing store for MyContentTemplate.  This enables animation, styling, binding, etc...
		public static readonly DependencyProperty MyContentTemplateProperty =
			DependencyProperty.RegisterAttached("MyContentTemplate", typeof(DataTemplate), typeof(MenuContent), new PropertyMetadata(null));



	}
}
